org.apache.struts2.views.jasperreports

## Class ValueStackShadowMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.apache.struts2.views.jasperreports.ValueStackShadowMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ValueStackShadowMap
      extends HashMap

  Ported to Struts:
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueStackShadowMap(ValueStack valueStack)` Constructs an instance of ValueStackShadowMap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)` Implementation of containsKey(), overriding HashMap implementation.
    `Object` | `get(Object key)` Implementation of get(), overriding HashMap implementation.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ValueStackShadowMap

          public ValueStackShadowMap(ValueStack valueStack)

      Constructs an instance of ValueStackShadowMap.
      Parameters:
        `valueStack` - - the underlying valuestack

  - ### Method Detail

    - #### containsKey

          public boolean containsKey(Object key)

      Implementation of containsKey(), overriding HashMap implementation.
      Specified by:
        `containsKey` in interface `Map`
      Overrides:
        `containsKey` in class `HashMap`
      Parameters:
        `key` - - The key to check in HashMap and if not found to check on valueStack.
      Returns:
        `true`, if contains key, `false` otherwise.
      See Also:
        `HashMap.containsKey(java.lang.Object)`

    - #### get

          public Object get(Object key)

      Implementation of get(), overriding HashMap implementation.
      Specified by:
        `get` in interface `Map`
      Overrides:
        `get` in class `HashMap`
      Parameters:
        `key` - - The key to get in HashMap and if not found there from the valueStack.
      Returns:
        value - The object from HashMap or if null, from the valueStack.
      See Also:
        `HashMap.get(java.lang.Object)`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.